import { StringOrNumber } from '../../types';
import { IEntity, IEntityWithNumberID, IEntityWithStringID } from '../entity.interface';
export declare abstract class AEntity<idType extends StringOrNumber> implements IEntity<idType> {
    id: idType;
    originalJsonDto?: unknown;
    protected constructor(id: idType, originalJsonDto?: unknown);
    toString(): string;
    hashCode(): idType;
    equals(object: unknown): boolean;
}
export declare abstract class AEntityWithNumberID extends AEntity<number> implements IEntityWithNumberID {
    protected constructor(id: number, originalJsonDto?: unknown);
}
export declare abstract class AEntityWithStringID extends AEntity<string> implements IEntityWithStringID {
    protected constructor(id: string, originalJsonDto?: unknown);
}
//# sourceMappingURL=abstract-entity.d.ts.map