import { StringOrNumber } from '../types';
import { IHasID } from './has-id.interface';
import { IHasName } from './has-name.interface';
export interface IEntity<idType extends StringOrNumber> extends IHasID<idType> {
    originalJsonDto?: unknown;
    toString(): string;
    hashCode(): idType;
    equals(object: unknown): boolean;
}
export declare type IEntityWithNumberID = IEntity<number>;
export declare type IEntityWithStringID = IEntity<string>;
/**
 * @since 3.2.5
 */
export declare type IEntityWithName<idType extends StringOrNumber> = IEntity<idType> & IHasName;
/**
 * @since 3.2.5
 */
export declare type IEntityWithNumberIDAndName = IEntityWithName<number>;
/**
 * @since 3.2.5
 */
export declare type IEntityWithStringIDAndName = IEntityWithName<string>;
//# sourceMappingURL=entity.interface.d.ts.map