/**
 * Sleeps method chain without stopping UI thread
 * @description <i>Usage</i>: <code>await Thread.sleep(ms)</code>
 * @param milliseconds How long the thread "sleeps"
 */
export async function thr_sleep(milliseconds) {
    return new Promise((resolve) => setTimeout(resolve, milliseconds));
}
/**
 * @deprecated
 * <b>!!! WARNING! USE WITH CAUTION ONLY !!!</b>
 * <br/><b>SHOULD NEVER BE USED IN PRODUCTION</b>
 * <br>This method sleeps/blocks the UI thread/browser
 * <br>Use <code>Thread.sleep(ms)</code> for a better alternative.
 * <br>Sleeps browser thread
 * @description <i>Usage</i>: <code>Thread.block(ms)</code>
 * @param milliseconds How long the thread sleeps
 */
export function thr_block(milliseconds) {
    const exit = new Date().getTime() + milliseconds;
    // eslint-disable-next-line no-empty
    while (new Date().getTime() <= exit) { }
}
//# sourceMappingURL=thread.js.map