import { IHasID } from './entities/has-id.interface';
import { IHasName } from './entities/has-name.interface';
import { IList } from './collection/list.interface';
export declare type UnknownOr<T> = T | unknown;
export declare type UndefinedOr<T> = T | undefined;
export declare type NullOr<T> = T | null;
export declare type UndefinedOrNullOr<T> = UndefinedOr<NullOr<T>>;
export declare type NullOrUndefinedOr<T> = UndefinedOrNullOr<T>;
export declare type ManyOr<T> = T | T[];
export declare type ManyOrUndefinedOr<T> = UndefinedOr<ManyOr<T>>;
export declare type ManyOrNullOr<T> = NullOr<ManyOr<T>>;
export declare type ManyOrUndefinedOrNullOr<T> = UndefinedOrNullOr<ManyOr<T>>;
export declare type StringOr<T> = string | T;
export declare type StringOrNumber = StringOr<number>;
export declare type StringOrNumberOr<T> = StringOrNumber | T;
export declare type typeOfArrayElement<ArrayType extends readonly unknown[]> = ArrayType extends readonly (infer ElementType)[] ? ElementType : never;
export declare type HasIDAndName<T> = IHasID<T> & IHasName;
export declare type HasNumberIDAndName = HasIDAndName<number>;
export declare type HasStringIDAndName = HasIDAndName<string>;
export interface IBuilder<T> {
    build(): T;
}
export interface IPredicate<T> {
    (item: T): boolean;
}
export interface ICompute<T> {
    (item: T): void;
}
export interface ICall {
    (): void;
}
export interface IMapList<itemType, mappedType> {
    (item: itemType, index: number, list: IList<itemType>): mappedType;
}
export interface IMap<itemType, mappedType> {
    (item: itemType, index: number, list: itemType[]): mappedType;
}
export declare type DateInput = UndefinedOrNullOr<StringOrNumberOr<Date>>;
//# sourceMappingURL=types.d.ts.map